include rules.mk

PACKAGE =	MechanicalDesignFilenameFilter.java									\
			GeometricComputationException.java 									\
			SequenceTerminal.java   											\
			StatisticsModule.java												\
			LoadStoreModule.java												\
			GeometricObject.java												\
			ParseSupervisor.java												\
			SpatialRelation.java												\
			ControlModule.java  												\
			SpatialParser.java  												\
			ObjectManager.java  												\
			GraphicsUtil.java   												\
			GeometryUtil.java   												\
			NonTerminal.java    												\
			PolarPoint.java     												\
			Paintable.java      												\
			Rotatable.java      												\
			Direction.java      												\
			Rectangle.java      												\
			Terminal.java       												\
			Polygon.java        												\
			Ellipse.java        												\
			VisiPad.java        												\
			Ground.java         												\
			Filter.java         												\
			Spring.java          												\
			Shade.java          												\
			Cross.java          												\
			Motor.java          												\
			Tablet.java         												\
			Point.java          												\
			Timer.java          												\
			Line.java															\
			Pin.java							

one: $(PACKAGE:.java=.o)

all: $(PACKAGE)
	javac $(JAVACFLAGS) -d $(CLDESTDIR) -classpath $(CLDESTDIR):$(CLASSPATH)  $(PACKAGE)
	touch $(PACKAGE:.java=.o)

clean:
	rm -f *.o *.class *~ core $(CLDESTDIR)/*.class

configure:
	mkdir -p $(CLDESTDIR)
